function Jvec = par_CompJ_ir(xnow, xparam, V,IRhat,hh)


lxnow = size(xnow,2);

Jvec = deal(nan(lxnow,1));

n = size(IRhat,1)/4;
IRhat=reshape(IRhat,n,4);
IRhat=IRhat(hh,:);
nhh=length(hh);
IRhat=reshape(IRhat,nhh*4,1);

n2=size(V,1)/4;
V=reshape(V,n2,4);
V=V(hh,:);
V=reshape(V,nhh*4,1);

try

    for jj = 1:lxnow;

        phiC = xnow(1,jj);  
        xparam.phiC = phiC;
        
        phiX = xnow(2,jj);
        xparam.phiX = phiX;	

        xi = xnow(3,jj);
        xparam.xi   = xi;

        varrho = xnow(4,jj);
        xparam.varrho = varrho;

        [IR_model, flag] = CompIRF_ir(xparam,hh);

        if (flag==0)          
            Jvec(jj) = sum(((IR_model-IRhat).^2)./V);
        else
            Jvec(jj) = 1e+8;
        end

    end

catch me
    warning(me.message)
end


