function Jvec = par_CompJ_ir_noSI(xnow, xparam, V,IRhat,hh,fsp)

Jvec = deal(nan);

n = size(IRhat,1)/4;
IRhat=reshape(IRhat,n,4);
IRhat=IRhat(hh,:);
nhh=length(hh);
IRhat=reshape(IRhat,nhh*4,1);

n2=size(V,1)/4;
V=reshape(V,n2,4);
V=V(hh,:);
V=reshape(V,nhh*4,1);

try

        thetaX = xnow(1);
        xparam.thetaX = thetaX;	

        xi = xnow(2);
        xparam.xi = xi;

        varrho = xnow(3);
        xparam.varrho = varrho;

        [IR_model, flag] = CompIRF_ir(xparam,hh);

        if (flag==0)          
            Jvec = sum(((IR_model-IRhat).^2)./V);
        else
            Jvec = 1e+8;
        end

catch me
    warning(me.message)
end


